Skip to main content
PATCH
/
orgs
/
{org_id}
/
views
/
{view_id}
Update a view
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/views/{view_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "config": {
    "shared": {},
    "board": {
      "key": "<string>",
      "hide_empty_groups": true,
      "card_fields": [
        "<string>"
      ],
      "columns": [
        {
          "key": "<string>",
          "visible": true
        }
      ],
      "date": {},
      "number": {
        "from": 123,
        "to": 123,
        "step": 123
      }
    },
    "table": {
      "columns": [
        {
          "key": "<string>",
          "visible": true,
          "sticky": true,
          "width": 1015
        }
      ]
    },
    "calendar": {
      "key": "<string>",
      "show_weekends": true
    },
    "timeline": {
      "key": "<string>",
      "end_key": "<string>"
    }
  },
  "sort": {
    "key": "<string>"
  },
  "filter": {
    "key": "<string>",
    "value": "<unknown>"
  },
  "show_in_sidebar": true,
  "archived": true
}
'
{
  "id": "<string>",
  "table_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "config": {
    "shared": {},
    "board": {
      "key": "<string>",
      "hide_empty_groups": true,
      "card_fields": [
        "<string>"
      ],
      "columns": [
        {
          "key": "<string>",
          "visible": true
        }
      ],
      "date": {},
      "number": {
        "from": 123,
        "to": 123,
        "step": 123
      }
    },
    "table": {
      "columns": [
        {
          "key": "<string>",
          "visible": true,
          "sticky": true,
          "width": 1015
        }
      ]
    },
    "calendar": {
      "key": "<string>",
      "show_weekends": true
    },
    "timeline": {
      "key": "<string>",
      "end_key": "<string>"
    }
  },
  "sort": {
    "key": "<string>"
  },
  "filter": {
    "key": "<string>",
    "value": "<unknown>"
  },
  "position": 123,
  "is_default": true,
  "show_in_sidebar": true,
  "archived": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

view_id
string
required

View ID

Body

name
string | null
Required string length: 1 - 128
description
string | null
Maximum string length: 512
color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
config
object
sort
object
filter
object
show_in_sidebar
boolean
archived
boolean

Response

200 - application/json
id
string
required
table_id
string
required
table_type
enum<string>
required
Available options:
custom,
contacts,
chats,
users
name
string | null
required
description
string | null
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
kind
enum<string>
required
Available options:
table,
board,
calendar,
timeline
config
object
required
sort
object
required
filter
object
required
position
integer
required
is_default
boolean
required
show_in_sidebar
boolean
required
archived
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required